WeatherSaver Screensaver by Mike Robinson

Software by Mike Robinson
Weather Screensaver
Get a Useful Screensaver

Download Download Home Home Purchase Purchase

WeatherSaver is a screensaver that shows your local NEXRAD animated radar map, air temperature, weather conditions, wind speed, time, and date. These are downloaded from the internet every 6 minutes. Radar maps are available for any location in the USA including Alaska and Hawaii. The temperature and weather conditions text are available for any location in the world.

NEW April 2017 - Can display temperature from La Crosse WS-2300 series weather station that is connected to a Com Port on your computer.

The radar can be shown animated or static. You can select one of 7 radar types: Reflectivity Long Range, Reflectivity Short Range, Composite Short Range, 1 Hour Rainfall, Storm Total Rainfall, Storm Relative Motion, and Base Velocity. The radar, time, temperature, and weather conditions can be turned on or off. If you turn off the time and temperature then just the radar screen will be shown. The time can be customized to show the seconds, time only, AM/PM, or 24 hour time. The text colors can also be customized.

It installs both as a normal program and a real screensaver with password ability and preview in the small Windows screensaver setup screen. To exit the program just press any key, click the mouse, or move the mouse.

This is a 32-bit program and will run on Windows ME, NT, 2000, XP, Vista, Windows 7, Windows 8, and Windows 10. It also runs fine on 64-bit systems.

See the bottom of this page if you would like to purchase WeatherSaver for just $20.00 US Dollars. This trial version will operate for 14 days. If you purchase the program I will send you a serial number by email that will enable continued operation with no time limit. Pay once and all future upgrades are free. Your serial number will work with all future versions. This demo version is fully functional. No features have been removed. It contains no spyware, no advertising.

Setup

When the program is running, press the C key and this setup screen pops up:

The changes you make on this screen are shown in the preview panel on the left. Press the "OK" button and the changes will be saved and used the next time the program runs. Press the "Cancel" button and the changes will not be saved. The Help button displays this help file and the Purchase button takes you to PayPal if you would like to purchase this program. The cost is just 15 dollars. You can use your credit card or PayPal account. The About button displays information about this program such as version number and provides links to my home page on the web.

Show radar - Turns radar display on and off.

Show Clock - Turns clock time, day, and date display on and off.

Show Temperature - Turns temperature and weather conditions display on and off.

Show Bottom Text - Shows radar location and time along bottom of radar image.

Center Display - Centers all of the displays in the middle of the screen.

Show Hints - Displays the following keyboard hints at the bottom of the radar display:

C = Config Z = Zoom M = More F1 = Help A = About Up/Down Arrow = Change Temp Site

Tornado Siren - Sounds a siren if a tornado appears on the radar screen. Press the Test button to hear the siren. Tornadoes are rare.

Save Settings on Exit - Save the current setup every time the program closes. Once you have the program configured check this box and close the program to save your setup. Then start the program and uncheck this box so that the setup does not change. Then check this box if you want to save a different setup.

There are several check boxes on the right:

Show Day - Shows the day of the week. (Not shown if clock is turned off.)

Show Date - Shows the date. (Not shown if clock is turned off.)

Show Seconds - Shows the time seconds. (Not shown if clock is turned off.)

Wind Speed Units - Shows winds speed in Miles Per Hour (MPH) or Kilometers Per Hour (KPH).

Temperature Units - Shows temperature in degrees Fahrenheit (F) or degrees Celsius (C).

On the right you can also set Time Format (time only, AM/PM, A/P, 24 hour format), Time Color, Temperature Color, Background Color.

Com Port - NEW April 2017 - If you have a La Crosse WS-2300 series weather station attached then select the Com Port number in this drop-down box. The outdoor temperature from the WS2300 will be shown. The temperature from the internet is shown briefly and then immediately replaced by the WS2300 temperature. Leave this at Auto if you do not have a WS2300 weather station.

Radar Tab

Use the top drop-down box to choose your location for the radar map. Use the second drop-down box to select one of 7 radar types: Reflectivity Long Range, Reflectivity Short Range, Composite Short range, 1 Hour Rainfall, Storm Total Rainfall, Storm Relative Motion, and Base Velocity. Either reflectivity or composite is usually the best display.

Click the following link for a description of each radar type from the National Weather Service (NWS):

http://www.srh.noaa.gov/jetstream/doppler/refl.html

Using the check boxes on the right you can turn the layers of the radar display on and off as follows:

Topo - Shows topographic map background. If you turn this off the background will be the solid background color.

Radar - Main radar display. Keep this checked if you want to see radar!

Counties - Shows the boundaries between states and counties.

Rivers - Show rivers.

Highways - Show highways.

Cities - Show cities.

Warnings - Show severe weather warning boundaries. There are 4 warning types: tornado warning, severe weather warning, flash flood warning, and marine warning. Most of the time there are no warnings. You will only see them when the weather is severe. They appear as colored outlines showing the areas of the map affected by the warning. If you are looking at animated radar, only the warnings on the last image are current.

Legend - Show the warning codes on the left, radar intensity scale on the right, and the time/date and identification of the radar image on the top and bottom.

Range Ring - Shows an ellipse that indicates the limit of the area covered by that radar. Range rings can be shown for all radar types except Long Range Reflectivity.

Warning Text - If there is a current weather warning, it is shown in large colored text on the upper left.

Animate - Check this box for animated radar. Uncheck the box for a still radar image.

Use the slider to make the radar animation speed faster or slower. Just below the slider you can use the spin-edit to set the number of minutes between each internet update of the radar, temperature, and weather conditions. The radar provider NEXRAD (Next Generation Radar) updates the radar source data every 10 minutes.

Temperature Tab

Select your location from the top drop-down boxes. This is the site that will be used for the temperature and weather conditions display. The list contains thousands of locations around the world. You can select 5 different nearby locations. As you select them they appear in the list at the bottom. Sometimes a site will go down or not give a proper temperature. When that happens the program goes to the next site as a backup. The first site is at the top of the list. Also, when the program is running, you can press the down arrow and the temperature and weather conditions for the next site down in the list will be displayed. Press the up arrow to see the information for the next site up in the list. If you press the "M" key (More) when the program is running you will see a popup window with all the detailed information provided by the site including wind, visibility, sky conditions, temperature, wind-chill, dew point, relative humidity, and barometric pressure.

Proxy Server Tab

A proxy server is NOT required on most home computers. Some corporations use a proxy server to provide security. If you are using a proxy server put in the information here and the program will direct the requests for internet data (radar, temperature, weather conditions) to the proxy server. The proxy server DNS name will often look something like this: 192.168.100.100. The proxy server port number should be 80.

Keyboard Commands

When the program is running you can press any one of the following keys:

C - (Configuration) Opens setup window.

Z - (Zoom) Toggles the radar display from local to zoom and back.

M - (More) Opens window with more detailed weather information.

F1 or H - (Help) Opens help html file in your browser.

A - (About) Opens splash screen window with program information.

P - (Purchase) Opens your browser and automatically goes to PayPal web site where you can purchase this program using your Credit Card or PayPal account. All of the purchasing details are automatically loaded for you. You only need to enter your credit card information or PayPal account information. PayPal is a very secure and reliable payment system used by millions of people around the world. All of your personal information is encrypted. My PayPal Premier Account is verified.

Up Arrow or Left Arrow --- Gets temperature and weather from next site upwards in the list.

Down Arrow or Right Arrow - Gets temperature and weather from next site downwards in the list.

Install

The install program weathersaver-setup.exe will copy all the files to your Windows System Folder:

C:\Windows\System32 (on 32-bit Windows)
C:\Windows\SysWOW64 (on 64-bit Windows)

The install program will overwrite any previous version so you are not required to uninstall older versions.

An alternate install method is to download the executable file weathersaver.scr and copy it to your Windows System Folder.

Programs with an .scr extension in these folders, such as weathersaver.scr, are recognized by Windows as screensavers and appear in the Windows list of available screensavers. A desktop shortcut link to weathersaver.scr is also created so you can run weathersaver as a normal program. WeatherSaver is a 32-bit program but also runs fine on 64-bit systems.

The Open SSL Shared Library files (libeay32.dll and ssleay32.dll) are no longer required.

A screensaver is actually a real program, but the file extension is .scr instead of the usual .exe found on most program files. This allows Windows to recognize the program as a screensaver when it is placed in the Windows System Folder.

To setup WeatherSaver as your screensaver on Windows 10:

Right-click on the Desktop.
Personalize.
Lock screen.
Screen saver settings.

and then this screen is shown:

Then use the "Screen Saver" drop-down box and pick "weathersaver" from the list of screen savers. Then click OK. The "Settings" button brings up the setup screen above. The "Preview" button runs the screensaver in full screen mode.

Earlier versions of Windows may have slightly different steps.

You can also change the settings by pressing the C key when the screensaver is running.

UnInstall

Open Windows Control Panel, select Programs and Features, select the program in the list of programs, and click the uninstall button, or right click on the program and select Uninstall in the menu. The Windows uninstall system will then run and remove the program. If you installed the program manually then delete the files to uninstall the program, and also delete any Desktop shortcut links

Then delete this entire key in the Windows Registry:

HKEY_CURRENT_USER\SOFTWARE\Michael_Robinson\WeatherSaver

Running as a Program

Click the desktop WeatherSaver icon and the program will run. If you use WeatherSaver in this normal program mode, that is not as a screensaver, your normal screensaver will kick in and appear over (and hide) WeatherSaver.

Legal Stuff

This program is Copyright © 2006 Michael Robinson. All Rights Reserved. Use this program at your own risk. If you purchase this program and are not satisfied with it for any reason I will refund your money. You may give this file away free, but you may not sell it. It must be distributed as a package along with all files. Modification of the executable file is prohibited.

Revision History

1.0.0 Feb 26, 2006 Initial public release.
1.2.0 Sep 30, 2006 Updated for new NWS radar
1.5.0 Mar 14, 2007 Updated for Windows Vista
1.7.0 May 6, 2007 New 2007 compiler for Vista
1.8.0 Jul 22, 2007 Multi-thread for faster loading
1.8.1 Aug 25, 2007 New NWS radar warning messages & colors
1.9.0 May 17, 2008 Fixed long range radar
1.9.1 May 18, 2008 Added wind direction to display
1.9.3 Aug 17, 2008 Fixed radar flash flood text warning
1.9.6 Mar 13, 2010 Restore taskbar when powersave turns monitor off
1.9.7 Sep 15, 2012 New NWS radar server address
1.9.8 Aug 14, 2016 New NWS weather/temperature server address
2.0.2 Feb 26, 2017 New NWS Radar Server SSL protocol
2.0.3 Apr 30, 2017 Display temperature from WS2300 weather station
2.1.0 Apr 14, 2018 Fixed NWS Radar
2.2.0 Feb 8, 2019 Fixed "Loading Weather" error

Purchase

If you purchase this program and are not satisfied with it for any reason I will refund your money.

This trial version will operate for 14 days. If you purchase the program I will send you a serial number by email that will enable continued operation with no time limit. Pay once and all future upgrades are free. Your serial number will work with all future versions. This demo version is fully functional. No features have been removed. It contains no spyware, no advertising.

The purchase price is $20.00 US Dollars. I accept major credit cards, PayPal , or personal checks. Pay once and all future upgrades are free. Press one of the links below and your browser will open and go to PayPal with all the purchase information already filled out.

Pay with credit card or PayPal Pay with credit card or PayPal Or send payment by PayPal to: ElegantPie@HotMail.com

Or send personal check or money order payable to Michael Robinson

Michael Robinson
PO Box 95
Shelton, CT 06484

Please add $10.00 if you would like a CD sent by US Mail to an address in the USA.
Please add $20.00 if you would like a CD sent by US Mail to an address outside the USA.

Official PayPal Seal I am PayPal Verified. My Account Creation Date is May 30, 2000.

The Official PayPal Verified Seal above means that I have provided PayPal with proof that I have a bank account and that my address is valid. Banks are required by law to screen account holders so PayPal's verification process increases security when you pay parties you do not know. My bank has my address and Social Security number on file. I have been using PayPal for over 16 years.

I use PayPal because the fees are low. If you send me $20.00 PayPal only takes about $1.00 so I net $19.00. All other payment services take several dollars so I would have to charge around $25 for my program to gain the same net. This lowers the cost to you. PayPal is usually free for most transactions, such as Ebay auction payments, but as a business I am required to have a Premier Account with fees. If you do not have a PayPal account, you can still use PayPal to make a payment using your credit card. PayPal does not charge you any fees for this. PayPal is a very secure and reliable payment system used by millions of people around the world.

DOWNLOAD PURCHASE HOME EMAIL

elegantpie@hotmail.com

http://www.elegantpie.com


La Crosse WS-2300 series Weather Station

The La Crosse 2300 series Weather Stations include these models:

http://www.lacrossetechnology.com/2308
http://www.lacrossetechnology.com/2310
http://www.lacrossetechnology.com/2315
http://www.lacrossetechnology.com/2316
http://www.lacrossetechnology.com/2317

These designs have been "retired" according to La Crosse, but you can still find them for sale on ebay and elsewhere, often for less than $100. WeatherSaver only works with La Crosse WS-2300 series Weather Stations that are connected to a Com Port on the local computer. It does not work on any other hardware. I don't think any of the newer La Crosse designs can be attached to the Com Port. If you do not have this hardware, WeatherSaver gets the local temperature from the internet.